[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[cross-project-issues-dev] Release train broken for MacOS?

Hi,

I'm trying to install "org.eclipse.sdk.ide" with the p2 director application onto a Mac and it fails miserably with this message:

org.eclipse.core.runtime.CoreException: Cannot complete the install because one or more required items could not be found.
at org.eclipse.equinox.internal.p2.director.app.DirectorApplication.planAndExecute(DirectorApplication.java:775)
at org.eclipse.equinox.internal.p2.director.app.DirectorApplication.performProvisioningActions(DirectorApplication.java:763)
[...]
Contains: Software being installed: Eclipse SDK 4.4.0.I20130918-2000 (org.eclipse.sdk.ide 4.4.0.I20130918-2000)
Contains: Missing requirement for filter properties ~= $0: toolingorg.eclipse.sdk.ide.application 4.4.0.I20130918-2000 requires 'toolingorg.eclipse.sdk.ide.executable.cocoa.macosx.x86_64-bundled [4.4.0.I20130918-2000]' but it could not be found
Contains: Cannot satisfy dependency:
Contains: From: Eclipse SDK 4.4.0.I20130918-2000 (org.eclipse.sdk.ide 4.4.0.I20130918-2000)
Contains: To: toolingorg.eclipse.sdk.ide.application [4.4.0.I20130918-2000]


So, I've looked at Luna's content.xml and found this requirement:

<required namespace='org.eclipse.equinox.p2.iu' name='toolingorg.eclipse.sdk.ide.executable.cocoa.macosx.x86_64-bundled' range='[4.4.0.I20130918-2000,4.4.0.I20130918-2000]'>
<filter>
(&amp;(macosx-bundled=true)(osgi.arch=x86_64)(osgi.os=macosx)(osgi.ws=cocoa))
</filter>
</required>


Which indeed does not exist. Google brought up a number of bugs tat might be related:

  https://bugs.eclipse.org/bugs/show_bug.cgi?id=408268 (David's comment #7 seems related, but the bug is closed)
  https://bugs.eclipse.org/bugs/show_bug.cgi?id=408581
  https://bugs.eclipse.org/bugs/show_bug.cgi?id=407588
  https://bugs.eclipse.org/bugs/show_bug.cgi?id=394216

Is it possible that the release train repos are so badly broken / inconsistent? Is someone actively working on a fix? Are there workarounds possible?

Cheers
/Eike

----
http://www.esc-net.de
http://thegordian.blogspot.com
http://twitter.com/eikestepper